r46715 - in /packages/R/r-cran-sp/trunk/debian: README.test changelog control docs tests/ tests/control tests/run-unit-test

tille at users.alioth.debian.org tille at users.alioth.debian.org
Fri Jun 20 14:02:31 UTC 2014


Author: tille
Date: Fri Jun 20 14:02:31 2014
New Revision: 46715

URL: http://svn.debian.org/wsvn/debian-science/?sc=1&rev=46715
Log:
New upstream version, add autopkgtest

Added:
    packages/R/r-cran-sp/trunk/debian/tests/
    packages/R/r-cran-sp/trunk/debian/tests/control
    packages/R/r-cran-sp/trunk/debian/tests/run-unit-test
Modified:
    packages/R/r-cran-sp/trunk/debian/README.test
    packages/R/r-cran-sp/trunk/debian/changelog
    packages/R/r-cran-sp/trunk/debian/control
    packages/R/r-cran-sp/trunk/debian/docs

Modified: packages/R/r-cran-sp/trunk/debian/README.test
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/README.test?rev=46715&op=diff
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/README.test	(original)
+++ packages/R/r-cran-sp/trunk/debian/README.test	Fri Jun 20 14:02:31 2014
@@ -1,7 +1,8 @@
 Notes on how this package can be tested.
 ────────────────────────────────────────
 
-This package can be tested by loading it into R with the command
-‘library(sp)’ in order to confirm its integrity.
+To run the unit tests provided by the package you can do
 
- -- Andreas Tille <tille at debian.org>  Thu, 20 May 2010 15:43:36 +0200
+   sh  run-unit-test
+
+in this directory.

Modified: packages/R/r-cran-sp/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/changelog?rev=46715&op=diff
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/changelog	(original)
+++ packages/R/r-cran-sp/trunk/debian/changelog	Fri Jun 20 14:02:31 2014
@@ -1,3 +1,11 @@
+r-cran-sp (1:1.0-15-1) unstable; urgency=medium
+
+  * New upstream version
+  * cme fix dpkg-control
+  * add autopkgtest
+
+ -- Andreas Tille <tille at debian.org>  Fri, 20 Jun 2014 15:43:36 +0200
+
 r-cran-sp (1:1.0-9-1) unstable; urgency=low
 
   * Team upload.

Modified: packages/R/r-cran-sp/trunk/debian/control
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/control?rev=46715&op=diff
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/control	(original)
+++ packages/R/r-cran-sp/trunk/debian/control	Fri Jun 20 14:02:31 2014
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille at debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
-               r-base-dev (>= 2.14.0),
+               r-base-dev,
                r-cran-lattice
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-sp/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-sp/trunk/ 
 Homepage: http://rspatial.r-forge.r-project.org/
@@ -26,4 +27,3 @@
  3D data.  Utility functions are provided, e.g. for plotting data as maps,
  spatial selection, as well as methods for retrieving coordinates, for
  subsetting, print, summary, etc. 
-

Modified: packages/R/r-cran-sp/trunk/debian/docs
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/docs?rev=46715&op=diff
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/docs	(original)
+++ packages/R/r-cran-sp/trunk/debian/docs	Fri Jun 20 14:02:31 2014
@@ -1 +1,3 @@
 debian/README.test
+debian/tests/run-unit-test
+tests

Added: packages/R/r-cran-sp/trunk/debian/tests/control
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/tests/control?rev=46715&op=file
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/tests/control	(added)
+++ packages/R/r-cran-sp/trunk/debian/tests/control	Fri Jun 20 14:02:31 2014
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, r-cran-runit
+Restrictions: allow-stderr

Added: packages/R/r-cran-sp/trunk/debian/tests/run-unit-test
URL: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/debian/tests/run-unit-test?rev=46715&op=file
==============================================================================
--- packages/R/r-cran-sp/trunk/debian/tests/run-unit-test	(added)
+++ packages/R/r-cran-sp/trunk/debian/tests/run-unit-test	Fri Jun 20 14:02:31 2014
@@ -0,0 +1,42 @@
+#!/bin/sh -e
+
+pkg=r-cran-sp
+
+# The saved result files do contain some differences in metadata and we also
+# need to ignore version differences of R
+filter() {
+    grep -v -e '^R version' \
+        -e '^Copyright (C)' \
+        -e '^R : Copyright 20' \
+        -e '^Version 2.0' \
+        -e '^Platform:' \
+        -e '^ISBN 3-900051-07-0' \
+        -e '^\[1\] "L*C' \
+        -e '^During startup - Warning messages:' \
+        -e '^[0-9]: Setting LC_' \
+        -e "'help.start()' for an* HTML browser interface to help." \
+       $1 | \
+    sed '/^> *proc\.time()$/,$d'
+}
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+cd $ADTTMP
+cp /usr/share/doc/${pkg}/tests/* $ADTTMP
+gunzip *.gz
+for htest in `ls *.R | sed 's/\.R$//'` ; do
+   LC_ALL=C R --no-save < ${htest}.R 2>&1 | tee > ${htest}.Rout
+   filter ${htest}.Rout.save > ${htest}.Rout.save_
+   filter ${htest}.Rout > ${htest}.Rout_
+   diff -u ${htest}.Rout.save_ ${htest}.Rout_
+   if [ ! $? ] ; then
+     echo "Test ${htest} failed"
+     exit 1
+   else
+     echo "Test ${htest} passed"
+   fi
+done
+rm -f $ADTTMP/*
+
+exit 0




More information about the debian-science-commits mailing list